<div class="row image-container">
  <img id="photoPreview"
       src="/temp/{{ image_list[image_index] }}"
       class="img-fluid border"
       alt="/temp/{{ image_list[image_index] }}">
</div>
<div class="row">
  <div class="col input-group">
    <form action="/delete" method="post">
      <button name="image_index"
              value="{{ image_index }}"
              class="btn btn-danger">
        <svg xmlns="http://www.w3.org/2000/svg"
             width="14"
             height="14"
             fill="currentColor"
             class="bi bi-trash"
             viewBox="0 0 16 16">
          <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1
                   0V6a.5.5 0 0 1 .5-.5m2.5 0a.5.5 0 0 1
                   .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5m3
                   .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0z"/>
          <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2
                   2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1
                   1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1
                   1h3.5a1 1 0 0 1 1 1zM4.118 4 4 4.059V13a1
                   1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882
                   4zM2.5 3h11V2h-11z"/>
        </svg>
        Delete
      </button>
    </form>
  </div>
  <div class="col">
    <div class="input-group justify-content-center">
      <a role="button"
         href="/main?image_index={{ image_index - 1 }}"
         class="btn
                btn-secondary
                {% if image_index == 0 %}
                  disabled
                {% endif %}">
        <svg xmlns="http://www.w3.org/2000/svg"
             width="16"
             height="16"
             fill="currentColor"
             class="bi bi-caret-left"
             viewBox="0 0 16 16">
          <path d="M10 12.796V3.204L4.519 8zm-.659.753-5.48-4.796a1
                   1 0 0 1 0-1.506l5.48-4.796A1 1 0 0 1 11
                   3.204v9.592a1 1 0 0 1-1.659.753">
          </path>
        </svg>
      </a>
      <a role="button"
         href="/main?image_index={{ image_index + 1 }}"
         class="btn btn-secondary
                {% if image_list|length == (image_index + 1) %}
                  disabled
                {% endif %}">
        <svg xmlns="http://www.w3.org/2000/svg"
             width="16"
             height="16"
             fill="currentColor"
             class="bi bi-caret-right"
             viewBox="0 0 16 16">
          <path d="M6 12.796V3.204L11.481 8zm.659.753 5.48-4.796a1
                   1 0 0 0 0-1.506L6.66 2.451C6.011 1.885 5 2.345
                   5 3.204v9.592a1 1 0 0 0 1.659.753">
          </path>
        </svg>
      </a>
    </div>
  </div>
  <div class="col">
    <form action="/save"
          id="saveForm"
          method="post">
      <div class="input-group justify-content-end">
        <input type="text"
               id="filenamePrefixInput"
               name="filename_prefix"
               class="form-control rounded-0 rounded-start"
               placeholder="Filename prefix"
               {% if gui_filename_prefix %}
                 value="{{ gui_filename_prefix }}"
               {% endif %}
               aria-label="Filename prefix">
        <label for="imageIndexInput" hidden></label>
        <input type="text"
               id="imageIndexInput"
               name="image_index"
               class="form-control visually-hidden"
               value="{{ image_index }}">
        <button type="submit"
                name="saved_index"
                value="{{ image_index }}"
                class="btn btn-default">
          <svg xmlns="http://www.w3.org/2000/svg"
               width="16"
               height="16"
               fill="currentColor"
               class="bi bi-save"
               viewBox="0 0 16 16">
            <path fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M13.353 1.146l1.5 1.5L15
                     3v11.5l-.5.5h-13l-.5-.5v-13l.5-.5H13l.353.146zM2
                     2v12h12V3.208L12.793 2H11v4H4V2H2zm6 0v3h2V2H8z">
            </path>
          </svg>
          Save
        </button>
        <button type="submit"
                name="saved_index"
                value=""
                class="btn btn-default rounded-0 rounded-end">
          <svg xmlns="http://www.w3.org/2000/svg"
               width="16"
               height="16"
               fill="currentColor"
               class="bi bi-save"
               viewBox="0 0 16 16">
            <path d="M14.85 2.65l-1.5-1.5L13
                     1H4.48l-.5.5V4H1.5l-.5.5v10l.5.5h10l.5-.5V12h2.5l.5-.5V3l-.15-.35zM11
                     14H2V5h1v3.07h6V5h.79L11 6.21V14zM6 7V5h2v2H6zm8
                     4h-2V6l-.15-.35-1.5-1.5L10 4H5V2h7.81l1.21 1.21L14 11z">
            </path>
          </svg>
          Save all
        </button>
      </div>
    </form>
  </div>
</div>
